DeclarableType (Apache Geode 1.6.0)
Date: 2018-04-23

org.apache.geode.cache.configuration

## Class DeclarableType

- java.lang.Object
- - org.apache.geode.cache.configuration.DeclarableType

-     @Experimental
      public class DeclarableType
      extends java.lang.Object

  A "declarable" element specifies a Declarable object to be placed in a Region entry.

  Java class for declarable-type complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="declarable-type">
         <complexContent>
           <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
             <sequence>
               <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
               <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </restriction>
         </complexContent>
       </complexType>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `className`
    `protected java.util.List<ParameterType>` | `parameter`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `DeclarableType()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getClassName()` Gets the value of the className property.
    `java.util.List<ParameterType>` | `getParameter()` Gets the value of the parameter property.
    `void` | `setClassName(java.lang.String value)` Sets the value of the className property.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### className

          protected java.lang.String className

    - #### parameter

          protected java.util.List<ParameterType> parameter

  - ### Constructor Detail

    - #### DeclarableType

          public DeclarableType()

  - ### Method Detail

    - #### getClassName

          public java.lang.String getClassName()

      Gets the value of the className property.
      Returns:
        possible object is `String`

    - #### setClassName

          public void setClassName(java.lang.String value)

      Sets the value of the className property.
      Parameters:
        `value` - allowed object is `String`

    - #### getParameter

          public java.util.List<ParameterType> getParameter()

      Gets the value of the parameter property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the parameter property.

      For example, to add a new item, do as follows:

           getParameter().add(newItem);

      Objects of the following type(s) are allowed in the list `ParameterType`